<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title> &raquo;\PhpOffice\PhpSpreadsheet\Worksheet</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>
    <div class="row">

        <div class="span4">
            <div class="btn-group view pull-right" data-toggle="buttons-radio">
                <button class="btn details" title="Show descriptions and method names">
                    <i class="icon-list"></i></button><button class="btn simple" title="Show only method names">
                    <i class="icon-align-justify"></i>
                </button>
            </div>
            <ul class="side-nav nav nav-list">
                <li class="nav-header">
                    <i class="icon-map-marker"></i> Namespaces
                </li>
                <a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.html" title="Worksheet">
                    <i class="icon-th"></i>Worksheet
                </a>
                <ul class="nav nav-list nav-namespaces">    <li>
        <a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.html" title="AutoFilter">
            <i class="icon-th"></i>AutoFilter
        </a>
        <ul class="nav nav-list nav-namespaces">    <li>
        <a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html" title="Column">
            <i class="icon-th"></i>Column
        </a>
        <ul class="nav nav-list nav-namespaces">
        </ul>
    </li>
        </ul>
    </li>    <li>
        <a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.html" title="Drawing">
            <i class="icon-th"></i>Drawing
        </a>
        <ul class="nav nav-list nav-namespaces">
        </ul>
    </li>
                </ul>
            </ul>
        </div>

        <div class="span8 namespace-contents">
        <ul class="breadcrumb">
            <li><a href="../index.html"><i class="icon-th"></i></a></li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.html">PhpOffice</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.html">Worksheet</a>
    </li>
        </ul>            <div class="namespace-indent">
                <h3><i class="icon-custom icon-class"></i> Classes, interfaces and traits</h3>    <div id="class_BaseDrawing" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_BaseDrawing .collapse">
        <h1>BaseDrawing<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.BaseDrawing.html" class="more">« More »</a>    </div>    <div id="class_CellIterator" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_CellIterator .collapse">
        <h1>CellIterator<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.CellIterator.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.CellIterator.html" class="more">« More »</a>    </div>    <div id="class_Column" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Column .collapse">
        <h1>Column<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Column.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Column.html" class="more">« More »</a>    </div>    <div id="class_ColumnCellIterator" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_ColumnCellIterator .collapse">
        <h1>ColumnCellIterator<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.ColumnCellIterator.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.ColumnCellIterator.html" class="more">« More »</a>    </div>    <div id="class_ColumnDimension" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_ColumnDimension .collapse">
        <h1>ColumnDimension<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.ColumnDimension.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.ColumnDimension.html" class="more">« More »</a>    </div>    <div id="class_ColumnIterator" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_ColumnIterator .collapse">
        <h1>ColumnIterator<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.ColumnIterator.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.ColumnIterator.html" class="more">« More »</a>    </div>    <div id="class_Dimension" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Dimension .collapse">
        <h1>Dimension<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Dimension.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Dimension.html" class="more">« More »</a>    </div>    <div id="class_HeaderFooter" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_HeaderFooter .collapse">
        <h1>HeaderFooter<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">¶</a></h1>
        <p class="short_description">&lt;code&gt;
Header/Footer Formatting Syntax taken from Office Open XML Part 4 - Markup Language Reference, page 1970:.</p>
        <div class="details collapse"><p>There are a number of formatting codes that can be written inline with the actual header / footer text, which
affect the formatting in the header or footer.</p>
<p>Example: This example shows the text &quot;Center Bold Header&quot; on the first line (center section), and the date on
the second line (center section).
&amp;CCenter &amp;&quot;-,Bold&quot;Bold&amp;&quot;-,Regular&quot;Header<em>x000A</em>&amp;D</p>
<p>General Rules:
There is no required order in which these codes must appear.</p>
<p>The first occurrence of the following codes turns the formatting ON, the second occurrence turns it OFF again:</p>
<ul>
<li>strikethrough</li>
<li>superscript</li>
<li>subscript
Superscript and subscript cannot both be ON at same time. Whichever comes first wins and the other is ignored,
while the first is ON.
&amp;L - code for &quot;left section&quot; (there are three header / footer locations, &quot;left&quot;, &quot;center&quot;, and &quot;right&quot;). When
two or more occurrences of this section marker exist, the contents from all markers are concatenated, in the
order of appearance, and placed into the left section.
&amp;P - code for &quot;current page #&quot;
&amp;N - code for &quot;total pages&quot;
&amp;font size - code for &quot;text font size&quot;, where font size is a font size in points.
&amp;K - code for &quot;text font color&quot;
RGB Color is specified as RRGGBB
Theme Color is specifed as TTSNN where TT is the theme color Id, S is either &quot;+&quot; or &quot;-&quot; of the tint/shade
value, NN is the tint/shade value.
&amp;S - code for &quot;text strikethrough&quot; on / off
&amp;X - code for &quot;text super script&quot; on / off
&amp;Y - code for &quot;text subscript&quot; on / off
&amp;C - code for &quot;center section&quot;. When two or more occurrences of this section marker exist, the contents
from all markers are concatenated, in the order of appearance, and placed into the center section.</li>
</ul>
<p>&amp;D - code for &quot;date&quot;
&amp;T - code for &quot;time&quot;
&amp;G - code for &quot;picture as background&quot;
&amp;U - code for &quot;text single underline&quot;
&amp;E - code for &quot;double underline&quot;
&amp;R - code for &quot;right section&quot;. When two or more occurrences of this section marker exist, the contents
from all markers are concatenated, in the order of appearance, and placed into the right section.
&amp;Z - code for &quot;this workbook's file path&quot;
&amp;F - code for &quot;this workbook's file name&quot;
&amp;A - code for &quot;sheet tab name&quot;
&amp;+ - code for add to page #.
&amp;- - code for subtract from page #.
&amp;&quot;font name,font type&quot; - code for &quot;text font name&quot; and &quot;text font type&quot;, where font name and font type
are strings specifying the name and type of the font, separated by a comma. When a hyphen appears in font
name, it means &quot;none specified&quot;. Both of font name and font type can be localized values.
&amp;&quot;-,Bold&quot; - code for &quot;bold font style&quot;
&amp;B - also means &quot;bold font style&quot;.
&amp;&quot;-,Regular&quot; - code for &quot;regular font style&quot;
&amp;&quot;-,Italic&quot; - code for &quot;italic font style&quot;
&amp;I - also means &quot;italic font style&quot;
&amp;&quot;-,Bold Italic&quot; code for &quot;bold italic font style&quot;
&amp;O - code for &quot;outline style&quot;
&amp;H - code for &quot;shadow style&quot;
</code></p>        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html" class="more">« More »</a>    </div>    <div id="class_HeaderFooterDrawing" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_HeaderFooterDrawing .collapse">
        <h1>HeaderFooterDrawing<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooterDrawing.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooterDrawing.html" class="more">« More »</a>    </div>    <div id="class_Iterator" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Iterator .collapse">
        <h1>Iterator<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Iterator.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Iterator.html" class="more">« More »</a>    </div>    <div id="class_MemoryDrawing" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_MemoryDrawing .collapse">
        <h1>MemoryDrawing<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.MemoryDrawing.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.MemoryDrawing.html" class="more">« More »</a>    </div>    <div id="class_PageMargins" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_PageMargins .collapse">
        <h1>PageMargins<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageMargins.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageMargins.html" class="more">« More »</a>    </div>    <div id="class_PageSetup" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_PageSetup .collapse">
        <h1>PageSetup<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageSetup.html">¶</a></h1>
        <p class="short_description">&lt;code&gt;
Paper size taken from Office Open XML Part 4 - Markup Language Reference, page 1988:.</p>
        <div class="details collapse"><p>1 = Letter paper (8.5 in. by 11 in.)
2 = Letter small paper (8.5 in. by 11 in.)
3 = Tabloid paper (11 in. by 17 in.)
4 = Ledger paper (17 in. by 11 in.)
5 = Legal paper (8.5 in. by 14 in.)
6 = Statement paper (5.5 in. by 8.5 in.)
7 = Executive paper (7.25 in. by 10.5 in.)
8 = A3 paper (297 mm by 420 mm)
9 = A4 paper (210 mm by 297 mm)
10 = A4 small paper (210 mm by 297 mm)
11 = A5 paper (148 mm by 210 mm)
12 = B4 paper (250 mm by 353 mm)
13 = B5 paper (176 mm by 250 mm)
14 = Folio paper (8.5 in. by 13 in.)
15 = Quarto paper (215 mm by 275 mm)
16 = Standard paper (10 in. by 14 in.)
17 = Standard paper (11 in. by 17 in.)
18 = Note paper (8.5 in. by 11 in.)
19 = #9 envelope (3.875 in. by 8.875 in.)
20 = #10 envelope (4.125 in. by 9.5 in.)
21 = #11 envelope (4.5 in. by 10.375 in.)
22 = #12 envelope (4.75 in. by 11 in.)
23 = #14 envelope (5 in. by 11.5 in.)
24 = C paper (17 in. by 22 in.)
25 = D paper (22 in. by 34 in.)
26 = E paper (34 in. by 44 in.)
27 = DL envelope (110 mm by 220 mm)
28 = C5 envelope (162 mm by 229 mm)
29 = C3 envelope (324 mm by 458 mm)
30 = C4 envelope (229 mm by 324 mm)
31 = C6 envelope (114 mm by 162 mm)
32 = C65 envelope (114 mm by 229 mm)
33 = B4 envelope (250 mm by 353 mm)
34 = B5 envelope (176 mm by 250 mm)
35 = B6 envelope (176 mm by 125 mm)
36 = Italy envelope (110 mm by 230 mm)
37 = Monarch envelope (3.875 in. by 7.5 in.).
38 = 6 3/4 envelope (3.625 in. by 6.5 in.)
39 = US standard fanfold (14.875 in. by 11 in.)
40 = German standard fanfold (8.5 in. by 12 in.)
41 = German legal fanfold (8.5 in. by 13 in.)
42 = ISO B4 (250 mm by 353 mm)
43 = Japanese double postcard (200 mm by 148 mm)
44 = Standard paper (9 in. by 11 in.)
45 = Standard paper (10 in. by 11 in.)
46 = Standard paper (15 in. by 11 in.)
47 = Invite envelope (220 mm by 220 mm)
50 = Letter extra paper (9.275 in. by 12 in.)
51 = Legal extra paper (9.275 in. by 15 in.)
52 = Tabloid extra paper (11.69 in. by 18 in.)
53 = A4 extra paper (236 mm by 322 mm)
54 = Letter transverse paper (8.275 in. by 11 in.)
55 = A4 transverse paper (210 mm by 297 mm)
56 = Letter extra transverse paper (9.275 in. by 12 in.)
57 = SuperA/SuperA/A4 paper (227 mm by 356 mm)
58 = SuperB/SuperB/A3 paper (305 mm by 487 mm)
59 = Letter plus paper (8.5 in. by 12.69 in.)
60 = A4 plus paper (210 mm by 330 mm)
61 = A5 transverse paper (148 mm by 210 mm)
62 = JIS B5 transverse paper (182 mm by 257 mm)
63 = A3 extra paper (322 mm by 445 mm)
64 = A5 extra paper (174 mm by 235 mm)
65 = ISO B5 extra paper (201 mm by 276 mm)
66 = A2 paper (420 mm by 594 mm)
67 = A3 transverse paper (297 mm by 420 mm)
68 = A3 extra transverse paper (322 mm by 445 mm)
</code></p>        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.PageSetup.html" class="more">« More »</a>    </div>    <div id="class_Protection" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Protection .collapse">
        <h1>Protection<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html" class="more">« More »</a>    </div>    <div id="class_Row" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Row .collapse">
        <h1>Row<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Row.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Row.html" class="more">« More »</a>    </div>    <div id="class_RowCellIterator" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_RowCellIterator .collapse">
        <h1>RowCellIterator<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.RowCellIterator.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.RowCellIterator.html" class="more">« More »</a>    </div>    <div id="class_RowDimension" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_RowDimension .collapse">
        <h1>RowDimension<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.RowDimension.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.RowDimension.html" class="more">« More »</a>    </div>    <div id="class_RowIterator" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_RowIterator .collapse">
        <h1>RowIterator<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.RowIterator.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.RowIterator.html" class="more">« More »</a>    </div>    <div id="class_SheetView" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_SheetView .collapse">
        <h1>SheetView<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.SheetView.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.SheetView.html" class="more">« More »</a>    </div>            </div>
        <ul class="breadcrumb">
            <li><a href="../index.html"><i class="icon-th"></i></a></li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.html">PhpOffice</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.html">Worksheet</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.html">Drawing</a>
    </li>
        </ul>            <div class="namespace-indent">
                <h3><i class="icon-custom icon-class"></i> Classes, interfaces and traits</h3>    <div id="class_Shadow" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Shadow .collapse">
        <h1>Shadow<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html" class="more">« More »</a>    </div>            </div>
        <ul class="breadcrumb">
            <li><a href="../index.html"><i class="icon-th"></i></a></li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.html">PhpOffice</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.html">Worksheet</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.html">AutoFilter</a>
    </li>
        </ul>            <div class="namespace-indent">
                <h3><i class="icon-custom icon-class"></i> Classes, interfaces and traits</h3>    <div id="class_Column" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Column .collapse">
        <h1>Column<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html" class="more">« More »</a>    </div>            </div>
        <ul class="breadcrumb">
            <li><a href="../index.html"><i class="icon-th"></i></a></li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.html">PhpOffice</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.html">Worksheet</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.html">AutoFilter</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.html">Column</a>
    </li>
        </ul>            <div class="namespace-indent">
                <h3><i class="icon-custom icon-class"></i> Classes, interfaces and traits</h3>    <div id="class_Rule" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Rule .collapse">
        <h1>Rule<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.Rule.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.AutoFilter.Column.Rule.html" class="more">« More »</a>    </div>            </div>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:43 +0000.<br/>
    </footer></body>
</html>
